<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <application
        android:name=".CraftApp"
        android:allowBackup="true"
        android:networkSecurityConfig="@xml/net"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Keyboard"
        tools:targetApi="31">

        <activity
            android:name=".activity.SplashActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".activity.MainActivity"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <service
            android:name=".service.KeyboardService"
            android:exported="true"
            android:label="@string/app_name"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <meta-data
                android:name="android.view.im"
                android:resource="@xml/method" />
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>
        </service>

        <activity
            android:name=".activity.CategoryDetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activity.DetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".activity.PreviewActivity"
            android:windowSoftInputMode="adjustResize"
            android:screenOrientation="portrait" />
    </application>


</manifest>